import { Manifest } from 'vite';
import { M as Manifest$1 } from './types-dfcc483f.js';
export { M as Manifest, R as ResourceMeta, d as defineManifest } from './types-dfcc483f.js';

declare function normalizeViteManifest(manifest: Manifest | Manifest$1): Manifest$1;

declare type Identifier = string;
declare type OutputPath = string;
interface WebpackClientManifest {
    publicPath: string;
    all: Array<OutputPath>;
    initial: Array<OutputPath>;
    async: Array<OutputPath>;
    modules: Record<Identifier, Array<number>>;
    hasNoCssVersion?: {
        [file: string]: boolean;
    };
}
declare function normalizeWebpackManifest(manifest: WebpackClientManifest): Manifest$1;

export { normalizeViteManifest, normalizeWebpackManifest };
